## fftw3-mpi 3.3.2

=== debian/changelog ===
fftw3-mpi (3.3.2-3ubuntu1) quantal; urgency=low

  * new universe package containing the mpi libraries

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 25 Jul 2012 21:30:18 +0200

fftw3 (3.3.2-3ubuntu1) quantal; urgency=low

  * merge with Debian (LP: #1007259, #781726)
  * remove the mpi packages not suitable for main
  * add debian/source/extended-diff-ignore to ignore generated files
  * add hardening flags to long long test so build log check does not complain

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 21 Jun 2012 23:07:47 +0200

fftw3 (3.3.2-3) unstable; urgency=low

  * disable neon for armel, it has no fpu

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 10 Jun 2012 12:02:19 +0200

fftw3 (3.3.2-2) unstable; urgency=low

  * remove workaround for a transient gcc failure on arm (LP: #841437)
  * enable runtime detected neon extension support on arm and armhf
  * enable sse extensions for kfreebsd (Closes: #674760)
    avx not supported yet 
  * drop 04_improve_semaphore_detection.diff
    semaphores are not shared anymore since 3.2.2
  * enable hardening options
  * move packaging to git

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 09 Jun 2012 22:44:57 +0200

fftw3 (3.3.2-1) unstable; urgency=low

  * Team upload to unstable
  * New upstream release
  * enable avx on i386 too, detected at runtime
  * move wisdom tools to libfftw3-bin, make libfftw3-dev multiarch same
  * revert split into -mt package
    package size gain is negiglible compared to main library
  * drop debian/patches/fix-links.patch applied upstream
  * remove empty directories from libfftw3-dev
  * respect DEB_BUILD_OPTIONS parallel
  * add myself to Uploaders

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 18 May 2012 17:09:50 +0200

fftw3 (3.3.1-4) experimental; urgency=low

  * Team upload.
  * enable avx on amd64, detected at runtime
  * debian/patches/fix-links.patch:
    - Fix links of the thread and mpi library (Closes: #664531)
  * debian/rules:
    - pass MPILIBS=mpicc --showme:link to configure to ensure correct
      mpi linkage
    - remove rpath from mpi libs with chrpath, add build-depend on it
    - remove unneeded quilt.make and the build-depend
  * wrap-and-sort debian directory
  * minor package description cleanup
  * stop using removed --enable-portable-binary which is now default
  * Build the openmp and pthread libraries into libfftw3-mt{3,dev}
  * rename libfftw3-mpi-3 to libfftw3-mpi3 to conform to naming rules

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 23 Mar 2012 00:26:17 +0100

fftw3 (3.3.1-3) experimental; urgency=low

  * Add the multiarch support. Thanks to Julian Taylor for the patch
    (Closes: #664155)
  * Fix some various silly and useless conflicts (Closes: #664156)
  
 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Mar 2012 23:08:45 +0100

fftw3 (3.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #661867)
  * Enable the MPI version of fftw (Closes: #528680)
  * Standards-Version to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Mar 2012 14:19:28 +0100

fftw3 (3.3-1ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Revert the ARM workaround.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Dec 2011 13:21:22 +0100

fftw3 (3.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Package moved into the Debian Science team (no answer from the previous
    maintainer) and package not maintained.
  * Standards-Version updated to version 3.9.2
  * Vcs-Browser & Vcs-Svn updated
  * lintian brace-expansion-in-debhelper-config-file fixed
  * lintian non-empty-dependency_libs-in-la-file fixed
  * Sync from Ubuntu (Closes: #624285)
  * Switch to dpkg-source 3.0 (quilt) format
  * Provide the debug symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Nov 2011 01:13:21 +0100

fftw3 (3.2.2-1ubuntu3) precise; urgency=low

  * Revert the armel work-around. LP: #841437.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Dec 2011 19:23:51 +0100

fftw3 (3.2.2-1ubuntu2) oneiric; urgency=low

  * Work around FTBFS on armel, build some files with -O1. LP: #841437.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2011 16:18:43 +0200

fftw3 (3.2.2-1ubuntu1) oneiric; urgency=low

  * Rebuild with gfortran-4.6.
  * Configure with --enable-sse --enable-sse2 on amd64. LP: #602586.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2011 11:19:17 +0200

fftw3 (3.2.2-1) unstable; urgency=low

  * New upstream release
  * Acknowledge non-maintainer upload (closes: #532340, #532301),
    thanks to Cyril Brulebois
  * debian/control
    - add ${misc:Depends}
    - bump Standards-Version to 3.8.3, debhelper to >= 7.0.0
    - span build-depends on multiple lines
    - added Vcs-Bzr and Vcs-Browser fields
  * debian/rules
    - fix bashisms (closes: #535378)
    - only install long double where needed (closes: #540408)
    - use dh_prep
  * debian/compat: bump to 7
  * debian/README.source: add reference to quilt documentation

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 15:58:13 +0100

fftw3 (3.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on powerpc: stop passing “-maltivec” through CFLAGS in
    debian/rules, thanks to Aurélien Jarno (closes: #532340).
  * Fix FTBFS on GNU/kFreeBSD: improve the detection of POSIX semaphores
    (they can be shared or non-shared, and GNU/kFreeBSD only supports
    the latter), thanks to Petr Salinger (closes: #532301):
     + 04_improve_semaphore_detection.diff

 -- Cyril Brulebois <kibi@debian.org>  Thu, 25 Jun 2009 01:01:04 +0200

fftw3 (3.2.1-2) unstable; urgency=low

  * Move texinfo from Build-Depends-Indep to Build-Depends (closes: #522502)

 -- Paul Brossier <piem@debian.org>  Mon, 06 Apr 2009 15:31:13 +0200

fftw3 (3.2.1-1) unstable; urgency=low

  * New upstream release (closes: #502247, #505842, #515223)
  * Patch from #486046 was included upstream (closes: #486046)

