=== debian/control ===
Source: fftw3-mpi
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
           Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: chrpath,
               debhelper (>=7.0.0),
               dpkg (>= 1.16.0),
               gfortran,
               libfftw3-dev,
               mpi-default-dev
Vcs-Git: git://git.debian.org/git/debian-science/packages/fftw3.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/fftw3.git
Homepage: http://fftw.org
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: libfftw3-mpi3
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-mpi-dev
Breaks: libfftw3-mpi-3
Replaces: libfftw3-mpi-3
Multi-Arch: same
Description: MPI Library for computing Fast Fourier Transforms
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 versions of the fftw libraries in single, double and long double precisions.
 Note that on some architectures double is the same as long double in which
 case there is no long double library.
 .
 To get the static library and the header files, you need to install
 libfftw3-mpi-dev. For documentation, see libfftw3-doc.

Package: libfftw3-mpi-dev
Architecture: any
Section: libdevel
Depends: libfftw3-mpi3 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: MPI Library for computing Fast Fourier Transforms - development
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the statically linked
 library, header files and test programs.
 .
 This package contains the header files and static libraries for the
 mpi libraries. For documentation, see libfftw3-doc.
