## fftw3-mpi 3.3.3

=== debian/changelog ===
fftw3-mpi (3.3.3-2ubuntu3) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:27:20 +0000

fftw3-mpi (3.3.3-2ubuntu2) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 01:36:21 -0500

fftw3-mpi (3.3.3-2ubuntu1) raring; urgency=low

  * merge with debian experimental

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 10 Dec 2012 22:11:43 +0100

fftw3 (3.3.3-2) experimental; urgency=low

  * restrict architectures of libfftw3-dev dependencies on -quad3 and -long3
  * don't build docs in parallel, sometimes leads to broken faq

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 09 Dec 2012 15:31:07 +0100

fftw3 (3.3.3-1) experimental; urgency=low

  * New upstream release (Closes: #694401)
  * split the precision libraries into separate packages:
    - libfftw3-single3: single precision
    - libfftw3-double3: double precision
    - libfftw3-long3: long double precision
    - libfftw3-quad3: quad precision (Closes: #691677)
    - libfftw3-3: transitional package depending on single and double
    - libfftw3-dev: depends on all precisions
    - libfftw3-mpi3: continues to contain all precisions
  * Acknowledge NMU, thanks Ansgar Burchardt
  * add debian/source/extended-diff-ignore to ignore generated files
  * add hardening flags to long long test so build log check does not complain
  * drop --with-gcc-arch configure flag, has no effect anymore
  * use dh-autoreconf
  * Bump to standards 3.9.4, no changes required
  * add .NOTPARALLEL to debian/rules
  * escape minus signs in 03_fix_manpages.diff
  * pkg-config.patch: move -lm to Libs.private
  * delete obsolete and disabled 10_uptodate_configure.diff
  * don't install tests as examples, they are not good examples and won't
    compile without files in the source tree

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 01 Dec 2012 19:12:03 +0100

fftw3 (3.3.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Use xz compression for binary packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 05 Aug 2012 16:38:56 +0200
