=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,7 @@
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
-ifeq ($(ARCHITECTURE), i386)
-	archconfflags_single := --enable-sse --enable-avx
-	archconfflags_double := --enable-sse2 --enable-avx
-	archconfflags := $(archconfflags) --with-gcc-arch=pentium4
-endif
-ifeq ($(ARCHITECTURE), amd64)
+ifneq (,$(filter $(ARCHITECTURE), i386 amd64))
 	archconfflags_single := --enable-sse --enable-avx
 	archconfflags_double := --enable-sse2 --enable-avx
 endif
@@ -45,11 +40,18 @@
 endif
 ifeq ($(ARCHITECTURE), powerpc)
 	archconfflags_single := --enable-altivec
-	archconfflags := $(archconfflags) --with-gcc-arch=G5
 endif
 ifeq ($(ARCHITECTURE), armhf)
 	archconfflags_single := --enable-neon
 endif
+endif
+
+ifneq (,$(filter $(ARCHITECTURE), i386 amd64 powerpc))
+LONG := long
+PREC := single double long
+else
+PREC := single double
+LONG :=
 endif
 
 ifneq (,$(findstring nog77,$(DEB_BUILD_OPTIONS)))
@@ -64,6 +66,7 @@
 archconfflags := $(archconfflags) --prefix=/usr --enable-shared --enable-threads --enable-openmp --enable-mpi --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) MPILIBS="$(shell mpicc --showme:link)"
 
 build-arch:
+	dh_autoreconf
 	# single precision
 	$(SETCFLAGS) ./configure --enable-single $(archconfflags) $(archconfflags_single)
 	$(MAKE) -C mpi
@@ -75,13 +78,11 @@
 	$(MAKE) -C mpi install DESTDIR=`pwd`/debian/tmp-double
 	#
 	# long double precision
-	# build only on architectures where double != long-double
-	gcc -o test_long_long-double debian/test_long_long-double.c 
-	if ! ./test_long_long-double; then \
-		$(SETCFLAGS) ./configure --enable-long-double $(archconfflags) && \
-		$(MAKE) -C mpi && \
-		$(MAKE) -C mpi install DESTDIR=`pwd`/debian/tmp-long-double; \
-	fi
+ifeq (long,$(LONG))
+	$(SETCFLAGS) ./configure --enable-long-double $(archconfflags)
+	$(MAKE) -C mpi
+	$(MAKE) -C mpi install DESTDIR=`pwd`/debian/tmp-long;
+endif
 	touch build-arch
 
 build-indep:
@@ -100,8 +101,10 @@
 	-rm -f *.la threads/*.la *.pc
 	-rm -f test_long_long-double
 	-rm -f config.cache config.status config.log
-	-rm -rf debian/tmp-single debian/tmp-double debian/tmp-long-double
+	-rm -rf debian/tmp-single debian/tmp-double debian/tmp-long debian/tmp-quad
+	rm -f mpi/mpi-bench
 	chmod -R g-s .
+	dh_autoreconf_clean
 	dh_clean
 
 binary-indep: build-indep
@@ -109,28 +112,28 @@
 binary-arch: build-arch
 	# build fftw3
 	dh_prep -a
-	dh_installdocs -a README NEWS
-	dh_installchangelogs -a ChangeLog
+	dh_installdocs -a -A README NEWS debian/README.Debian
+	dh_installchangelogs -a -XChangeLog
 	dh_installexamples -a
 	dh_installdirs -a
-	dh_install -a --sourcedir=debian/tmp-single
-	dh_install -a --sourcedir=debian/tmp-double
-	if ! ./test_long_long-double; then \
-		dh_install -a --sourcedir=debian/tmp-long-double; \
-	fi
+	set -e && for s in $(PREC); do \
+	  dh_install -plibfftw3-mpi3 --sourcedir=debian/tmp-$$s; \
+	  dh_install -plibfftw3-mpi-dev --sourcedir=debian/tmp-$$s; \
+	done
 	chrpath --delete debian/libfftw3-mpi3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi*so*
 
 	dh_installman -a
 	dh_strip -a
-	dh_compress -a -X.c -X.pl -X.am -X.in
+	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	dh_builddeb -a -- -Zxz
 
 binary: binary-indep binary-arch
 
 .PHONY: binary binary-arch binary-indep clean
+.NOTPARALLEL:
